#runAllSimulationSets.R

# source functions

sourceFiles <- list.files(
    path = "R/", 
    full.names = TRUE)
#sourceFiles
for(sFile in sourceFiles){
    source(sFile)
    }

setParamValueGrid <- expand.grid(
    samplingCompleteness_setParamValues, 
    bgGradientValue_setParamValues,
    bioturbIntensity_setParamValues,
    transitionDurationRatio_setParamValues
    )

colnames(setParamValueGrid) <- c(
    "samplingCompleteness",
    "bgGradientValue",
    "bioturbIntensity",
    "transitionDurationRatio"
    )

set_names <- paste0(
    #run_name, "_", 
    "set_",
    setParamValueGrid$samplingCompleteness, "_complete_", 
    "_", setParamValueGrid$bgGradientValue, "_bg_",
    setParamValueGrid$bioturbIntensity, "_bioturbInt_",
    setParamValueGrid$transitionDurationRatio, "_transDurRatio"
    )

outputDir_main <- "savedEnv/"
outputDir_main <- paste0(outputDir_main, run_name, "_", 
    as.character(format(Sys.Date(),"%m-%d-%y")), "/")

if (!dir.exists(outputDir_main)) {
    dir.create(path = outputDir_main)
    }

message(paste0("Simulating ", nrow(setParamValueGrid), " simulation sets..."))

for(k in setStart:nrow(setParamValueGrid)){
    set_name <- set_names[k]
    samplingCompleteness <- setParamValueGrid$samplingCompleteness[k]
    bgGradientValue <- setParamValueGrid$bgGradientValue[k]
    bioturbIntensity <- setParamValueGrid$bioturbIntensity[k]
    transitionDurationRatio <- setParamValueGrid$transitionDurationRatio[k]
    
    # run script
    source(
        "batch_scripts/runOneSingleSimulationSetScript.R"
        )
    
    }


